<?xml version="1.0"?>
<odoo>
    <record id="somari_site_action" model="ir.actions.act_window">
        <field name="name">Sites</field>
        <field name="res_model">somari.site</field>
        <field name="view_mode">tree,form</field>
        <field name="context">{'search_default_groupby_country': 1}</field>
        <field name="help" type="html">
            <p class="o_view_nocontent_smiling_face">
                Sites represent the places where you a base of operation.
            </p>
        </field>
    </record>

    <record id="somari_site_view_tree" model="ir.ui.view">
        <field name="name">somari.site.tree</field>
        <field name="model">somari.site</field>
        <field name="arch" type="xml">
            <tree expand="1">
                <field name="name"/>
                <field name="country_id"/>
            </tree>
        </field>
    </record>

    <record id="somari_site_view_form" model="ir.ui.view">
        <field name="name">somari.site.view.form</field>
        <field name="model">somari.site</field>
        <field name="arch" type="xml">
            <form>
                <sheet>
                    <div class="oe_button_box" name="button_box">
                        <button class="oe_stat_button" name="%(somari_staff_action)d" type="action" icon="fa-address-card-o">
                            <field string="Staff" name="staff_count" widget="statinfo"/>
                        </button>
                    </div>
                    <h1>
                        <field name="name" class="o_text_overflow" default_focus="1"/>
                    </h1>
                    <group>
                        <group>
                            <label for="street" string="Address"/>
                            <div class="o_address_format">
                                <field name="street" placeholder="Street..." class="o_address_street"/>
                                <field name="street2" placeholder="Street 2..." class="o_address_street"/>
                                <field name="city" placeholder="City" class="o_address_city"/>
                                <field name="state_id" class="o_address_state" placeholder="State" options="{'no_open': True, 'no_quick_create': True}" context="{'default_country_id': country_id}"/>
                                <field name="zip" placeholder="ZIP" class="o_address_zip"/>
                                <field name="country_id" placeholder="Country" class="o_address_country" options='{"no_open": True, "no_create": True}'/>
                            </div>
                        </group>
                        <group>
                            <field name="staff_nationals"/>
                            <field name="staff_expats"/>
                            <field name="vehicules"/>
                        </group>
                    </group>
                    <group>
                        <notebook>
                            <page string="Security Plans">
                                <field name="security_plan_ids">
                                    <tree editable="top">
                                        <control>
                                            <create string="New Security Plan"/>
                                        </control>
                                        <field name="name"/>
                                        <field name="responsible_user_id" widget="many2one_avatar_user"/>
                                        <field name="color" invisible="1"/>
                                        <field name="state" widget="status_with_color" options="{'color_field': 'color'}"/>
                                        <button name="action_open_sec_plan" type="object" title="View Plan" string="View Plan" class="btn btn-link pull-right"/>
                                    </tree>
                                </field>
                            </page>
                        </notebook>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="somari_site_view_search" model="ir.ui.view">
        <field name="name">somari.site.search</field>
        <field name="model">somari.site</field>
        <field name="arch" type="xml">
            <search>
                <field name="name"/>
                <field name="country_id"/>
                <group expand="1" string="Group By">
                    <filter string="Country" name='groupby_country' context="{'group_by':'country_id'}"/>
                </group>
            </search>
        </field>
    </record>
</odoo>
